org.apache.cassandra.db

## Class RangeSliceReply

- java.lang.Object
- - org.apache.cassandra.db.RangeSliceReply

-     public class RangeSliceReply
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<Row>` | `rows`
    `static org.apache.cassandra.db.RangeSliceReply.RangeSliceReplySerializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeSliceReply(java.util.List<Row> rows)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageOut<RangeSliceReply>` | `createMessage()`
    `static RangeSliceReply` | `read(byte[] body, int version)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final org.apache.cassandra.db.RangeSliceReply.RangeSliceReplySerializer serializer

    - #### rows

          public final java.util.List<Row> rows

  - ### Constructor Detail

    - #### RangeSliceReply

          public RangeSliceReply(java.util.List<Row> rows)

  - ### Method Detail

    - #### createMessage

          public MessageOut<RangeSliceReply> createMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### read

          public static RangeSliceReply read(byte[] body,
                                             int version)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation